curl --request GET \
--url https://api.jtl-cloud.com/erp/v1/customers/{customerId}/contacts \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v1/customers/{customerId}/contacts"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v1/customers/{customerId}/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"Id": 123,
"Department": "<string>",
"Honorific": "<string>",
"FirstName": "<string>",
"LastName": "<string>",
"PhoneNumber": "<string>",
"MobilePhoneNumber": "<string>",
"EmailAddress": "<string>",
"Fax": "<string>"
}
]{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}Query Customer Contacts
Query all contacts for a specific customer
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Path Parameters
The id of the customer that the contacts belong to. Represents a unique key for identifying a customer in the JTL system.
Response
The requested contacts of the customer.
The unique ID to identify a customer's main contact person.
The contact person's department.
The contact person's form of address.
The contact person's first name.
The contact person's last name.
The contact person's landline phone number.
The contact person's mobile number.
The contact person's email address.
The contact person's fax number.
Was this page helpful?